%define		name kio_locate
%define		Name kio-locate
%define		version 0.1
%define		release 4mdk

Name:		%{name}
Summary:	Kio-locate is a KIO Slave for the locate command. 
Version: 	%{version}
Release: 	%{release}
Source: 	%{Name}_%{version}-1.tar.bz2
URL: 		http://www.schuerig.de/michael/linux/kio-locate/index.html
Group: 		Graphical desktop/KDE
BuildRoot: 	%{_tmppath}/%{name}-buildroot
License: 	GPL
BuildRequires: 	kdelibs-devel
Requires:	slocate

%description
Kio-locate is a KIO Slave for the locate command. 

%prep
rm -fr $RPM_BUILD_ROOT

%setup -q -n %{Name}-%{version}

%build
./configure --prefix=%{_prefix} --disable-rpath --enable-final
%make

%install
%makeinstall_std

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc README COPYING AUTHORS TODO
%{_libdir}/kde3/kio_locate.*
%{_datadir}/services/locate.protocol
%{_datadir}/doc/HTML/en/kioslave/locate.docbook
%{_datadir}/doc/HTML/en/locate/locate.docbook

%changelog
* Sat Mar 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1-4mdk
- Rebuild

* Thu Jan 16 2003 Laurent Culioli <laurent@pschit.net> 0.1-3mdk
- rebuild

* Mon Dec 16 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1-2mdk
- Fix requires
- Fix build requires

* Sun Dec 15 2002 Laurent Culioli <laurent@pschit.net> 0.1-1mdk
- from Franck Qulain <shift@free.fr> 
	- First release
